ClusterManagementRealizationResult (Apache Geode 1.10.0)
Date: 2019-09-19

org.apache.geode.management.api

## Class ClusterManagementRealizationResult

- java.lang.Object
- - org.apache.geode.management.api.ClusterManagementResult
  - - org.apache.geode.management.api.ClusterManagementRealizationResult

-     @Experimental
      public class ClusterManagementRealizationResult
      extends ClusterManagementResult

  returned from `ClusterManagementService.create(CacheElement)` / `ClusterManagementService.update(CacheElement)` / `ClusterManagementService.delete(CacheElement)` methods

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

      `ClusterManagementResult.StatusCode`

  - ### Field Summary

    - ### Fields inherited from class org.apache.geode.management.api.ClusterManagementResult

      `statusCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementRealizationResult()` for internal use only
    `ClusterManagementRealizationResult(ClusterManagementResult.StatusCode statusCode, String message)` for internal use only

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMemberStatus(RealizationResult result)` for internal use only
    `List<RealizationResult>` | `getMemberStatuses()` For a `ClusterManagementService.create(CacheElement)` operation, this will return per-member status of the create.

    - ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

      `getStatusCode, getStatusMessage, getUri, isSuccessful, setStatus, setUri, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementRealizationResult

          public ClusterManagementRealizationResult()

      for internal use only

    - #### ClusterManagementRealizationResult

          public ClusterManagementRealizationResult(ClusterManagementResult.StatusCode statusCode,
                                                    String message)

      for internal use only

  - ### Method Detail

    - #### addMemberStatus

          public void addMemberStatus(RealizationResult result)

      for internal use only

    - #### getMemberStatuses

          public List<RealizationResult> getMemberStatuses()

      For a `ClusterManagementService.create(CacheElement)` operation, this will return per-member status of the create.